#include <stdio.h>
#include <unistd.h>
#include <string.h>

#include "minishell.h"

char *lookupPath(char *argv[], char *dirs[]){

  /* searchs each directory for the command specified in 
   * argv[0].  Returns a string with the full path name
   * for the command.
   */

  char static result[MAX_PATH_LEN + MAX_ARG_LEN];
  int i;
  /* first check to see if the command already is a full
   * path name.  If so, we have nothing we are required
   * to do.  For conceptual consistency, we copy the command
   * name to the result vector.
   */
  if (*argv[0] == '/') {
    strcpy(result,argv[0]);
  }
  else {
    /* Check each path in dirs */
    for (i=0; i<MAX_PATHS; i++){
      /* first NULL indicates failure */
      if (dirs[i] == NULL) break;
      strcpy(result, dirs[i]);
      strcat(result,"/");
      strcat(result,argv[0]);
      if(access(result,X_OK) == 0) return result;
    }
    /* exhausting the search indicates failure */
    fprintf(stderr, "%s: command not found\n", argv[0]);
    return NULL;
  }
}
