/*
 *  Header File for the minishell, HW2 Version
 *
 */

/*
 * Various constants, named for what
 * they represent.
 *
 */
#define MAX_ARGS          64
#define MAX_ARG_LEN       16
#define MAX_LINE_LEN      80
#define WHITESPACE        " \t\n"
#define MAX_PATH_LEN      180
#define MAX_PATHS         100
#define PATH_DELIMETER    ":"

#ifndef TRUE
#define TRUE              1
#endif

#ifndef FALSE
#define FALSE             0
#endif

#ifndef NULL
#define NULL              0
#endif

/*
 * Command Structure Type -- Consists of:
 *  name -- Pointer to a string that is the
 *          command name.
 *  argc -- The number of arguments.
 *  argv -- Array of pointers to strings.
 *          Each string is one argument.
 *          Note that argv[0] is the command
 *          name, and is identical to the
 *          name field above.  The extra field
 *          is merely for convenience and
 *          code readability.
 */
struct command_t {
  char *name;
  int  argc;
  char *argv[MAX_ARGS];
};
