/*
 * parsePath.c -- directory path parsing program for HW2
 */
#include <stdio.h>
#include <unistd.h>
#include <string.h>

#include "minishell.h"

int parsePath(char *dirs[]){

  /* This function reads the PATH variable for this
   * environment, then builds an array, dirs[], of the
   * directories in PATH
   */

  char *pathEnvVar;
  char *thePath;

  int npaths;
  char **clPtr;


  pathEnvVar = (char*) getenv("PATH");

  thePath = (char *) malloc(strlen(pathEnvVar)+1);
  strcpy(thePath, pathEnvVar);


  clPtr = &thePath;

  /* Loop to parse thePath.  Look for a ':'
   * delimiter between each path name.
   */

  npaths = 0;
  dirs[npaths] = NULL;
  /* Fill dirs[] */
  while ((dirs[npaths] = strsep(clPtr, PATH_DELIMETER)) != NULL) {
    dirs[++npaths] = NULL;
  }

  return thePath;
}


